import Vue from 'vue'
import VueRouter from 'vue-router'


Vue.use(VueRouter)
const rejectAuthUser = (to, from, next) =>{
  if(store.state.isLogin === true){
    //이미 로그인 된 유저니까 막아야한다.
    alert('이미 로그인을 하였습니다.')
    next('/') //home으로 간다.
  } else{
    next()
  }
}
//로그인을 안한 상태에서 마이페이지 못들어가도록
const onlyAuthUser = (to, from, next) =>{
  if(store.state.isLogin === false){
    //아직 로그인 안된 유저니까 막아야한다.
    alert('로그인이 필요한 기능입니다.')
    next('/') //home으로 간다.
  } else{
    next()
  }
}
const routes = [
  {
    path: '/',
    name: 'home',
    component: () =>
    import(/* webpackChunkName: "about" */ "../views/left_bar/Home.vue")
  },
  {
    path: '/login',
    name: 'login',
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/left_bar/Login.vue")
  },
  {
    path: '/signup',
    name: 'signup',
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/SignUp.vue")
  },
  {
    path: '/myclub',
    name: 'myclub',
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/left_bar/Myclub.vue")
  },
  {
    path: "/mypage",
    name: "mypage",
    // beforeEnter: onlyAuthUser,
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/left_bar/Mypage.vue")
  },
  {
    path: "/club",
    name: "club",
    // beforeEnter: onlyAuthUser,
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/left_bar/club.vue")
  },
  {
    path: "/modify_profile",
    name: "modify_profile",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Modify_profile.vue")
  },
  {
    path: "/club_page/:clubId",
    name: "club_page",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_top_bar/club_Page.vue")
  },
  {
    path: "/club_post/:clubId",
    name: "club_post",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_top_bar/club_Post.vue")
  },
  {
    path: "/club_free/:clubId",
    name: "club_free",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_top_bar/club_Free.vue")
  },
  {
    path: "/club_manage/:clubId",
    name: "club_manage",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_top_bar/club_Manage.vue")
  },
  {
    path: "/post/:clubId",
    name: "post",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Post.vue")
  },
  {
    path: "/post_free/:clubId",
    name: "post_free",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Post_Free.vue")
  },
  {
    path: "/notice_write/:clubId",
    name: "notice_write",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/notice_write.vue")
  },
  {
    path: "/club_join/:clubId",
    name: "club_join",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_top_bar/club_Join.vue")
  },
  {
    path: "/joinedClub/:clubId/:uid",
    name: "club_detail",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Detail.vue")
  },
  {
    path: "/applymember/:clubId/:uid",
    name: "applymember",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/applymember.vue")
  },
  {
    path: "/activityLog/one/:clubId/:boardId",
    name: "board",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Board.vue")
  },
  {
    path: "/freeBoard/one/:clubId/:freeId",
    name: "free",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Free.vue")
  },
  {
    path: "/notice/one/:clubId/:noticeId",
    name: "notice",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/notice.vue")
  },
  {
    path: "/introduce/:clubId",
    name: "introduce",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/introduce.vue")
  }
  
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
