import Vue from 'vue'
import Vuex from 'vuex'
import router from "../router/index"
import axios from "axios"
Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    userInfo:null,
    isLogin: false,
    isLoginError: false
  },
  mutations: {
    loginSuccess(state, payload){
      state.isLogin = true
      state.isLoginError = false
      state.userInfo = payload
    },
    loginError(state){
      state.isLogin = false
      state.isLoginError = true
    },
    logout(state){
      state.isLogin = false
      state.isLoginError = false
      state.userInfo = null
    }
  },
  actions: {
    login({commit}, loginObj){
      axios  
        .post("http://jnhonlinux.ddns.net:3000/login",loginObj)
        .then(res=>{
          if(res.data.success == true){
            let userInfo = res.data.result[0]
            commit('loginSuccess', userInfo)            
            alert("로그인이 되었습니다.")
            router.push('/mypage')
          }
          else{
            alert("로그인에 실패하였습니다.")
            commit('loginError')
          }
        })
        .catch(err =>{
        console.log(err)
        })
      },
    logout({commit}){
      commit('logout')
      alert("로그아웃 되었습니다.")
      router.push('/')
    }
  },
  modules: {}
})
